Quassel IRC - Feature #125

Bind to a particular interface
Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

0S: Any

Description

the ip adresses (IPv4 as well as IPv6) should be configurable per network and user via client. nice would be a drop-down box
including ips and reverse lookups.

History

#1 - 04/10/2008 11:21 PM - EgS

[08:36:38] <thiago_home> yes: type man 7 socket in your Unix system

[08:36:49] <thiago_home> also useful: man 2 bind, man 2 connect

[08:37:35] <abdb> oh so you mean native unix socket functions, i see

[08:37:44] <thiago_home> yes

[08:37:57] <thiago_homes> that's the only way of doing what you want to do

[08:38:57] <thiago_home> so, do it only if you really need it by your protocol's conventions.

[08:39:10] <thiago_homes> if you don't need it, if you just would find it nice to have it, scrap that idea
[08:40:41] <thiago_home> create the socket, bind, connect, then call setSocketDescriptor on QTcpSocket.

#2 - 04/16/2008 08:07 PM - phon
http://www.win-tux.de/c_028 003.htm

#3 - 04/16/2008 08:33 PM - phon

more additional info for windows:

Obtain all IP addresses of local machine
http://www.codeguru.com/csharp/csharp/cs_network/article.php/c6045/

dns - (reverse) lookups:
http://msdn2.microsoft.com/en-us/library/ms682016(VS.85).aspx
(although for visual c++: http:/support.microsoft.com/kb/831226/de)

#4 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#5 - 03/02/2010 01:01 AM - johu
- Tracker changed from Bug to Feature

- OS set to Any

#6 - 07/19/2021 05:59 AM - phuzion

There is currently a PR on GitHub in process that may at least partially resolve this bug.
